#!/usr/bin/env python2
# -*- coding: utf-8 -*-
"""
  Usage: cros-gunzip-dd.py SRC.gz DEST

  It's a shortcut for `zcat SRC.gz | dd of=DEST`. Useful on nayuos because the
  "dd" command may crash. Unlike "dd", this script does not writing
  synchronously, you may want to wait for cache to be emptied after the copy.
  You can still force your system to empty its caches by using `sync` command.
"""
import sys, gzip
src = gzip.open(sys.argv[1], "rb")
dst = open(sys.argv[2], "wb")
while True:
  buf = src.read(512)
  if len(buf) == 0:
    break
  dst.write(buf)
